Gnome2::Canvas::Shape(3)

NAME
Gnome2::Canvas::Shape - wrapper for GnomeCanvasShape

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gnome2::Canvas::Item
                 +----Gnome2::Canvas::Shape

METHODS

  pathdef = $shape->get_path_def

  $shape->set_path_def ($path_def)

•   $path_def (Gnome2::Canvas::PathDef)

PROPERTIES

'cap-style' (Gtk2::Gdk::CapStyle : default "butt" : readable / writable)
'dash' (gpointer : default 0 : readable / writable)
'fill-color' (string : default undef : writable)
'fill-color-gdk' (Gtk2::Gdk::Color : default undef : readable / writable)
'fill-color-rgba' (Glib::UInt : default 0 : readable / writable)
'fill-stipple' (Gtk2::Gdk::Drawable : default undef : readable / writable)
'join-style' (Gtk2::Gdk::JoinStyle : default "miter" : readable / writable)
'miterlimit' (double : default 0 : readable / writable)
'outline-color' (string : default undef : writable)
'outline-color-gdk' (Gtk2::Gdk::Color : default undef : readable / writable)
'outline-color-rgba' (Glib::UInt : default 0 : readable / writable)
'outline-stipple' (Gtk2::Gdk::Drawable : default undef : readable / writable)
'width-pixels' (Glib::UInt : default 0 : readable / writable)
'width-units' (double : default 0 : readable / writable)
'wind' (Glib::UInt : default 0 : readable / writable)

ENUMS AND FLAGS

  enum Gtk2::Gdk::CapStyle

•   'not-last' / 'GDK_CAP_NOT_LAST'

•   'butt' / 'GDK_CAP_BUTT'

•   'round' / 'GDK_CAP_ROUND'

•   'projecting' / 'GDK_CAP_PROJECTING'

  enum Gtk2::Gdk::JoinStyle

•   'miter' / 'GDK_JOIN_MITER'

•   'round' / 'GDK_JOIN_ROUND'

•   'bevel' / 'GDK_JOIN_BEVEL'

SEE ALSO
Gnome2::Canvas, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gnome2::Canvas::Item

COPYRIGHT
Copyright (C) 2003-2004 by the Gtk2-Perl Team.

This software is licensed under the LGPL; see Gnome2::Canvas for a full notice.